<ion-header>
  <ion-navbar class="dawn-bar">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Check In</ion-title>
  </ion-navbar> 
</ion-header>

<ion-content>
  <ion-grid>
      <ion-row>
          <ion-col col-12>
              <div class="container">
                  <ul>
                      <li>
                        <input type="radio" id="t-option" name="selector">
                        <label for="t-option">By SMS</label>
                        <div class="check"></div>
                      </li>
                </ul>
              </div>
          </ion-col>

          <ion-col col-12 class="sms-code-box">
              <p>Enter SMS code</p>
              <ion-input type="number" #otp1   [(ngModel)]="digit1"   class="otp" pattern="[0-9]{6}"  maxlength="1" size="1" (keyup)="next(otp2)">
                </ion-input>

                <ion-input type="number" #otp2   [(ngModel)]='digit2' class="otp" pattern="[0-9]{6}" maxlength="1" size="1" (keyup)="next(otp3)">
                    </ion-input>
                    <ion-input type="number" #otp3   [(ngModel)]='digit3' class="otp" pattern="[0-9]{6}" maxlength="1" size="1" (keyup)="next(otp4)">
                        </ion-input>
                        <ion-input type="number" #otp4  [(ngModel)]='digit4' class="otp" pattern="[0-9]{6}" maxlength="1" size="1">
                            </ion-input>

                            
              <!-- <input type="text"  [(ngModel)]="otp1"  placeholder="0">
              <input type="text"    [(ngModel)]="otp2"  placeholder="0">
              <input type="text"   [(ngModel)]="otp3"  placeholder="0">
              <input type="text"  [(ngModel)]="otp14" placeholder="0"> -->
              <button (click)="checkotp(appointment)" >DONE</button>
              <p>Send SMS to customer registered number</p>
              <p *ngIf="sendSMs ==true">OTP successfully sent</p> 
              <button (click)="generateSMSCode()">Click here</button>
          </ion-col>


      </ion-row>
  </ion-grid>
  <ion-grid  >
      <ion-row > 
          <ion-col col-12>
              <div   class="container">
                  <ul>
                      <li >
                        <input   type="radio" id="s-option" name="selector">
                        <label  (click)="checkIn(appointment)"  for="s-option">Scan by QR code</label>
                        <div class="check"></div>
                      </li>
                </ul>
              </div>
          </ion-col>
      </ion-row>
  </ion-grid>
</ion-content>
